Create a conversation
Create a conversation
POST
/
public
/
api
/
v1
/
inboxes
/
{inbox_identifier}
/
contacts
/
{contact_identifier}
/
conversations
Create a conversation
curl --request POST \
--url https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations \
--header 'Content-Type: application/json' \
--data '
{
"custom_attributes": {}
}
'import requests
url = "https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations"
payload = { "custom_attributes": {} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({custom_attributes: {}})
};
fetch('https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"custom_attributes\": {}\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations"
payload := strings.NewReader("{\n \"custom_attributes\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": 169,
"uuid": "00000000-0000-4000-8000-000000000000",
"inbox_id": 8,
"contact_last_seen_at": 0,
"status": "open",
"agent_last_seen_at": 0,
"messages": [],
"contact": {
"id": 147,
"name": "Dana Brooks",
"email": "dana.brooks4821@example.com",
"phone_number": null,
"account_id": 1,
"created_at": "2026-09-21T02:25:37.579Z",
"updated_at": "2026-09-21T02:25:37.591Z",
"additional_attributes": {
"avatar_background_color": "#D4F4DD",
"illustration_avatar_index": 31
},
"identifier": "user-4821",
"custom_attributes": {},
"last_activity_at": null,
"contact_type": "lead",
"middle_name": "",
"last_name": "",
"location": null,
"country_code": null,
"blocked": false,
"company_id": null,
"label_list": []
}
}{
"error": "Resource could not be found"
}Path Parameters
The identifier obtained from API inbox channel
The source id of contact obtained on contact create
Body
application/json
Custom attributes of the conversation
Example:
{}
Was this page helpful?
⌘I
Create a conversation
curl --request POST \
--url https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations \
--header 'Content-Type: application/json' \
--data '
{
"custom_attributes": {}
}
'import requests
url = "https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations"
payload = { "custom_attributes": {} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({custom_attributes: {}})
};
fetch('https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"custom_attributes\": {}\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations"
payload := strings.NewReader("{\n \"custom_attributes\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": 169,
"uuid": "00000000-0000-4000-8000-000000000000",
"inbox_id": 8,
"contact_last_seen_at": 0,
"status": "open",
"agent_last_seen_at": 0,
"messages": [],
"contact": {
"id": 147,
"name": "Dana Brooks",
"email": "dana.brooks4821@example.com",
"phone_number": null,
"account_id": 1,
"created_at": "2026-09-21T02:25:37.579Z",
"updated_at": "2026-09-21T02:25:37.591Z",
"additional_attributes": {
"avatar_background_color": "#D4F4DD",
"illustration_avatar_index": 31
},
"identifier": "user-4821",
"custom_attributes": {},
"last_activity_at": null,
"contact_type": "lead",
"middle_name": "",
"last_name": "",
"location": null,
"country_code": null,
"blocked": false,
"company_id": null,
"label_list": []
}
}{
"error": "Resource could not be found"
}